.ui-button {
  display: inline-flex;
  padding: 0 20px;
  cursor: pointer;
  border-radius: 5px;
  margin: 0px;

  &__color-blue {
    color: $white;
    background-color: $blueColor;
  }

  &__color-red {
    color: $white;
    background-color: $red;
    box-shadow: 0 0 20px 0 rgba(247, 68, 85, 0.4);
  }

  &[disabled] {
    background-color: $border;
    box-shadow: none;
    color: $white;

    &:hover {
      background-color: $border;
    }
  }

  &__link {
    color: $blue;
    background-color: transparent !important;
	  @include font(15px, 300, 1.33, normal);
	  text-transform: none;
	  margin: 0;
	  padding: 0;
	  word-break: break-word;
  }

  &__underline {
    text-decoration: underline;
  }

  &__bold {
    font-weight: 500;
  }

  &__center {
    justify-content: center;
  }

  &__block {
    width: 100%;
  }

  &:hover {
    opacity: 0.8;
  }
}

@media #{$mobile} {
  .ui-button__block {
    width: 100%;
  }
}
